import {parse} from "next-useragent";
import DashboardRefahiProvinceManagerComponent from "@/components/dashboard/refahi-province-manager";

export default function RefahiProvinceManager() {
    return (
        <DashboardRefahiProvinceManagerComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.province_manager_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_province_affairs_refahi"]}}
        },
    };
}
